Package be.fgov.ehealth.ehbox.publication.protocol.v3

# Class Recipient

java.lang.Object
be.fgov.ehealth.commons.core.v1.IdentifierType
be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType
be.fgov.ehealth.ehbox.publication.protocol.v3.Recipient

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class Recipient extends EhboxIdentifierType implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
           <sequence minOccurs="0">
             <element name="AbsentFrom" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="AbsentTo" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Substitute" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Recipient()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAbsentFrom()`
  Gets the value of the absentFrom property.
  `Instant`
  `getAbsentTo()`
  Gets the value of the absentTo property.
  `List<Substitute>`
  `getSubstitutes()`
  Recipients Gets the value of the substitutes property.
  `void`
  `setAbsentFrom(Instant value)`
  Sets the value of the absentFrom property.
  `void`
  `setAbsentTo(Instant value)`
  Sets the value of the absentTo property.

  ### Methods inherited from class be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType

  `getQuality, getUser, setQuality, setUser`

  ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

  `getId, getSubType, getType, setId, setSubType, setType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Recipient

    public Recipient()

- ## Method Details

  - ### getAbsentFrom

    public Instant getAbsentFrom()
    Gets the value of the absentFrom property.
    Returns:
      possible object is `String`

  - ### setAbsentFrom

    public void setAbsentFrom(Instant value)
    Sets the value of the absentFrom property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAbsentTo

    public Instant getAbsentTo()
    Gets the value of the absentTo property.
    Returns:
      possible object is `String`

  - ### setAbsentTo

    public void setAbsentTo(Instant value)
    Sets the value of the absentTo property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubstitutes

    public List<Substitute> getSubstitutes()
    Recipients Gets the value of the substitutes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substitutes property.

    For example, to add a new item, do as follows:

         getSubstitutes().add(newItem);

    Objects of the following type(s) are allowed in the list `Substitute`

    Returns:
      The value of the substitutes property.